[arch-commits] Commit in hplip/trunk (PKGBUILD hplip-3.9.4b-gcc44.patch)

Allan McRae allan at archlinux.org
Tue Jun 30 02:04:36 EDT 2009


    Date: Tuesday, June 30, 2009 @ 02:04:35
  Author: allan
Revision: 43827

upgpkg: hplip 3.9.4b-2
    libjpeg soname bump rebuild, add build patch

Added:
  hplip/trunk/hplip-3.9.4b-gcc44.patch
Modified:
  hplip/trunk/PKGBUILD

--------------------------+
 PKGBUILD                 |   14 +++++++++-----
 hplip-3.9.4b-gcc44.patch |   36 ++++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-30 06:03:01 UTC (rev 43826)
+++ PKGBUILD	2009-06-30 06:04:35 UTC (rev 43827)
@@ -4,17 +4,19 @@
 
 pkgname=hplip
 pkgver=3.9.4b
-pkgrel=1
+pkgrel=2
 pkgdesc="Drivers for HP DeskJet, OfficeJet, Photosmart, Business Inkjet and some LaserJet."
 arch=('i686' 'x86_64')
 url="http://hplipopensource.com"
 license=('GPL')
-makedepends=('pyqt4' 'pkgconfig' 'sane' 'portmap' 'dbus-python' 'cups')
-depends=('python' 'ghostscript' 'foomatic-db' 'foomatic-db-hpijs' 'foomatic-db-engine' 'libcups' 'net-snmp>=5.4')
+makedepends=('pyqt' 'pkgconfig' 'sane' 'rpcbind' 'dbus-python' 'cups')
+depends=('python' 'ghostscript>=8.64-6' 'foomatic-db' 'foomatic-db-hpijs' \
+         'foomatic-db-engine' 'libcups>=1.3.10-3' 'net-snmp>=5.4')
 replaces=('hpijs')
 options=('!libtool')
 install=hplip.install
-source=(http://downloads.sourceforge.net/sourceforge/hplip/$pkgname-$pkgver.tar.gz)
+source=(http://downloads.sourceforge.net/sourceforge/hplip/$pkgname-$pkgver.tar.gz
+        hplip-3.9.4b-gcc44.patch)
 optdepends=('cups: for printing support'
             'dbus-python: for dbus support'
             'sane: for scanner support'
@@ -23,6 +25,7 @@
 
 build() {
  cd $srcdir/$pkgname-$pkgver
+ patch -Np1 -i $srcdir/hplip-3.9.4b-gcc44.patch || return 1
  ./configure --prefix=/usr --enable-qt4 --enable-foomatic-rip-hplip-install --enable-foomatic-ppd-install
  make || return 1
  make DESTDIR=$pkgdir/ install
@@ -37,4 +40,5 @@
  # remove lp user, it's not used on archlinux
  sed -i 's|OWNER="lp", ||g' $pkgdir/lib/udev/rules.d/55-hpmud.rules
 }
-md5sums=('6ebe6716493de8fbf394a178a33b84d9')
+md5sums=('6ebe6716493de8fbf394a178a33b84d9'
+         '77896a00f4c518edab560a246cf2d0f6')

Added: hplip-3.9.4b-gcc44.patch
===================================================================
--- hplip-3.9.4b-gcc44.patch	                        (rev 0)
+++ hplip-3.9.4b-gcc44.patch	2009-06-30 06:04:35 UTC (rev 43827)
@@ -0,0 +1,36 @@
+diff -up hplip-3.9.2/prnt/hpijs/dj3320.cpp.strstr-const hplip-3.9.2/prnt/hpijs/dj3320.cpp
+--- hplip-3.9.2/prnt/hpijs/dj3320.cpp.strstr-const	2009-02-20 00:38:04.000000000 +0000
++++ hplip-3.9.2/prnt/hpijs/dj3320.cpp	2009-02-20 11:27:51.000000000 +0000
+@@ -403,7 +403,7 @@ DISPLAY_STATUS DJ3320::ParseError (BYTE 
+ {
+     DRIVER_ERROR err = NO_ERROR;
+     BYTE byDevIDBuffer[DevIDBuffSize];
+-    char *pcStr = NULL;
++    const char *pcStr = NULL;
+     BYTE byStatus1, byStatus2;
+ 
+     memset(byDevIDBuffer, 0, sizeof(byDevIDBuffer));
+diff -up hplip-3.9.2/prnt/hpijs/registry.cpp.strstr-const hplip-3.9.2/prnt/hpijs/registry.cpp
+--- hplip-3.9.2/prnt/hpijs/registry.cpp.strstr-const	2009-02-20 00:38:04.000000000 +0000
++++ hplip-3.9.2/prnt/hpijs/registry.cpp	2009-02-20 11:27:00.000000000 +0000
+@@ -292,15 +292,15 @@ DRIVER_ERROR DeviceRegistry::SelectDevic
+             device = eDJ3320;
+             match = TRUE;
+         }
+-		char	*cmdStr = strstr ((const char *) DevIDBuffer+2, "CMD:");
++		const char	*cmdStr = strstr ((const char *) DevIDBuffer+2, "CMD:");
+ 		if (!cmdStr)
+ 		{
+ 			cmdStr = strstr ((const char *) DevIDBuffer+2, "COMMAND SET:");
+ 		}
+-		if (!match && cmdStr && (strstr ((const char *) cmdStr+4, "POSTSCRIPT") || 
+-			                     strstr ((const char *) cmdStr+4, "PostScript") || 
+-					             strstr ((const char *) cmdStr+4, "Postscript") || 
+-					             strstr ((const char *) cmdStr+4, "postscript") ))
++		if (!match && cmdStr && (strstr (cmdStr+4, "POSTSCRIPT") || 
++			                     strstr (cmdStr+4, "PostScript") || 
++					             strstr (cmdStr+4, "Postscript") || 
++					             strstr (cmdStr+4, "postscript") ))
+ 		{
+ 			device = ePScript;
+ 			match = TRUE;



More information about the arch-commits mailing list